#pragma once

#pragma once

#include "Page.h"
#include "../WatchyDisplay.h"
#include "../WatchFeatures/WatchFeatures.h"
#include <string>

namespace WatchFacePages
{
  class Weather;
}

class WatchFacePages::Weather : public WatchFacePages::Page
{
public:
  Weather(WatchyDisplay & display, WatchFeatures::WatchFeatures & features);
  void InitBoot() override;
  void InitWake() override;
  void DrawPage(bool partialRefresh = false) override;
  void Resync();

private:

  WatchyDisplay & m_display;
  WatchFeatures::WatchFeatures & m_features;
  static RTC_DATA_ATTR uint64_t m_lastSyncTime;
  static RTC_DATA_ATTR int m_lastCalculatedDay;
  static RTC_DATA_ATTR char m_locationCity[128];
  static RTC_DATA_ATTR float m_locationLat, m_locationLon;
};